l
<template>
    <div class="pd10">
        <el-row>
            <el-col>
                <el-tabs v-model.trim="activeName" @tab-click="handleClick" type="border-card">
                    <el-tab-pane label="预承载能力评估用户管理" name="1" :style="'height:' + vh + ';'">
                        <Manage v-if="activeName == 1"></Manage>
                    </el-tab-pane>
                    <el-tab-pane label="承载能力评估策略" name="2" :style="'height:' + vh + ';'">
                        <Strategy v-if="activeName == 2"></Strategy>
                    </el-tab-pane>
                    <el-tab-pane label="承载能力评估列表" name="3" :style="'height:' + vh + ';'">
                        <Tabulation v-if="activeName == 3"></Tabulation>
                    </el-tab-pane>
                </el-tabs>
            </el-col>
        </el-row>
    </div>
</template>
<script>
import Manage from './components/manage'
import Strategy from './components/strategy'
import Tabulation from './components/tabulation'
export default {
    name: 'descentoperation',
    components: { Manage, Strategy, Tabulation },
    data() {
        return {
            vh: '',
            activeName: '1'
        }
    },
    created() {},
    mounted() {
        this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
            this.vh = window.sessionStorage.getItem('appheight') - 70 + 'px'
        },
        handleClick(tab, event) {
            // console.log(tab, event);
        }
    }
}
</script>
<style lang="less" scoped>
@import url('../../../styles/comStyle.less');
::v-deep .el-table .cell {
    text-align: center;
}
::v-deep .el-tabs--border-card > .el-tabs__content {
    padding: 10px;
}
</style>
